Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003259opensim[REGION] Physics Enginespublic2009-03-05 14:502009-04-21 12:44
ReporterMagnuz 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0003259: Avatar gets stuck on sim border after several consecutive region border crossings
DescriptionAfter flying across 3-4 consecutive region borders, the avatar flies out of control to the next region border where it gets stuck and repeatedly slowly sinks under surface, instantaneously popping up again when it gets to ~-10 m, while the console rapidly repeats the same error message:

23:21:35 - [PHYSICS]: Array index is out of range., Single GetTerrainHeightAtXY(Single, Single), System.IndexOutOfRangeException: Array index is out of range. at OpenSim.Region.Physics.OdePlugin.OdeScene.GetTerrainHeightAtXY (Single x, Single y) [0x00000] at OpenSim.Region.Physics.OdePlugin.OdeCharacter.Move (Single timeStep) [0x00000] at OpenSim.Region.Physics.OdePlugin.OdeScene.Simulate (Single timeStep) [0x00000]
 
After logging out and in again everything works as usual until after another 3-4 region border crossings.
Additional Information10 regions, Ubuntu 32 bit server 8.10, Mono 2.2 (100 threads), MySQL 5.0, all fresh install in VirtualBox 2.1.4 (768 MB memory) on Mac OS X 10.4.11, MacBook 2 GHz Intel Core 2 Duo.
Tagscrossing, physics
Git Revision or version number
Run Mode Grid (Multiple Regions per Sim)
Physics EngineODE
EnvironmentMono / Linux32
Mono VersionOther
Viewer
Attached Files

- Relationships
related to 0003134closeddahlia Patch to add automatic min fly height to ODE 

-  Notes
(0009865)
svn (developer)
2009-03-06 22:51

teravus committed related code in r8723

* fixes mantis 3259
* I'm concerned however that the 'minimum fly height' should really be implemented in ScenePresence and not in the specific physics plugin so that all of the physics plugins can take advantage of it and if desired, a person could swap out the 'minimum fly height' functionality with other functionality.

see more at - http://opensimulator.org/cgi-bin/viewvc.cgi?view=rev&revision=8723 [^]

- Issue History
Date Modified Username Field Change
2009-03-05 14:50 Magnuz New Issue
2009-03-05 14:50 Magnuz SVN Revision => 8700
2009-03-05 14:50 Magnuz Run Mode => Grid (Multiple Regions per Sim)
2009-03-05 14:50 Magnuz Physics Engine => ODE
2009-03-05 14:50 Magnuz Environment => Mono / Linux32
2009-03-05 14:50 Magnuz Mono Version => Other
2009-03-05 14:52 Magnuz Tag Attached: crossing
2009-03-05 14:53 Magnuz Tag Attached: physics
2009-03-06 22:46 Teravus Relationship added related to 0003134
2009-03-06 22:51 svn Checkin
2009-03-06 22:51 svn Note Added: 0009865
2009-03-06 22:51 svn Status new => resolved
2009-03-06 22:51 svn Resolution open => fixed
2009-04-21 12:44 cfk Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker